package pathgame.tilemap;

import pathgame.gameplay.Player;

public class TilePort extends Tile
{
    public TilePort()
    {
        super(1, 0.0f, (pa) -> 0, false, false, TileType.PORT);
    }

    @Override
    public void onEnter(Player p, TileMap map, int x, int y)
    {
        p.switchSailing();
    }
}
